PHP Manual
Prev |  | Next

# DomElement->get_attribute_node()

(no version information, might be only in CVS)

DomElement->get_attribute_node() -- Returns the node of the given attribute

## Description

class DomElement {
DomAttribute get_attribute_node ( string name )
}

Returns the node of the given attribute in the current element.

## Parameters

name

  The name of the seeked attribute. This parameter is case sensitive.

## Return Values

Returns the node of the attribute as a DomAttribute or `FALSE` if no attribute with the given name is found.

## Examples

Example 1. Getting an attribute node
`<?php include("example.inc"); if (!$dom = domxml_open_mem($xmlstr)) { echo "Error while parsing the document\n"; exit; } $root = $dom->document_element(); if ($attribute = $root->get_attribute_node('language')) { echo 'Language is: ' . $attribute->value() . "\n"; } ?>`

## Migrating to PHP 5

Use DOMElement->getAttributeNode().

## See Also

DomElement->get_attribute()
DomElement->set_attribute()

Prev | Home | Next
DomDocumentType->system_id() | Up | DomElement->get_attribute()